module(...)
--magic editor build
DATA={
	atk_stophit=true,
	cmds={
		[1]={args={},func_name=[[MagcAnimStart]],start_time=0,},
		[2]={args={alive_time=0.5,},func_name=[[Name]],start_time=0,},
		[3]={
			args={action_name=[[attack2]],excutor=[[atkobj]],},
			func_name=[[PlayAction]],
			start_time=0.25,
		},
		[4]={
			args={
				alive_time=1.2,
				bind_type=[[pos]],
				body_pos=[[waist]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_516/Prefabs/516_aura.prefab]],
					preload=true,
				},
				excutor=[[ally_alive]],
				height=0,
			},
			func_name=[[BodyEffect]],
			start_time=1.35,
		},
		[5]={args={},func_name=[[MagcAnimEnd]],start_time=3.15,},
		[6]={args={},func_name=[[End]],start_time=3.35,},
	},
	group_cmds={},
	magic_anim_end_time=3.15,
	magic_anim_start_time=0,
	pre_load_res={[1]=[[Effect/Magic/magic_eff_new_516/Prefabs/516_aura.prefab]],},
	run_env=[[war]],
	type=1,
	wait_goback=false,
}
